// $Id: eazyedit.js,v 1.1.2.3 2010/05/06 20:49:04 tdway Exp $
Drupal.behaviors.eazyedit = function (context) {
	if ($.browser.msie && $.browser.version.substr(0,1)<7); //skip ie6
	else {
		$(context).find('.eazyedit').each(function() {
			var wrapper = null;
			var parent = $(this);
			while (!wrapper && !$(parent).parent().is('body')) {
				parent = $(parent).parent();
				if ($(parent).hasClass('block') 
						|| $(parent).hasClass('node') 
						|| $(parent).hasClass('comment') 
						|| $(parent).hasClass('views-row')
						|| $(parent).is('tr')) wrapper = parent;
			}	
			if (!wrapper) wrapper = $(this).parent();
			$(wrapper).addClass('eazyedit-wrapper');
			$(this).append(' | ');
			$(this).append('<a href="javascript:;" class="ee-close" title="hide this temporarily">x</a>');
			$(this).find('a.ee-close').click(function(){ $(this).parent().remove() });
		});
		
		$('.eazyedit-wrapper').hoverIntent(
			function() { $('div.eazyedit:last', $(this)).show(); },
			function() { $('div.eazyedit:last', $(this)).hide(); }
		);
	}
};